Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178755 - Apisupport project slows down Go To Type: Due to slow RP.enque
Apisupport project slows down Go To Type: Due to slow RP.enque
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
PC Mac OS X
: P3 (vote)
: 6.x
Assigned To: issues@platform
issues@platform
:
Depends on:
Blocks: 177274
  Show dependency treegraph
 
Reported: 2009-12-16 14:11 UTC by Tomas Zezula
Modified: 2010-04-16 04:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2009-12-16 14:11:01 UTC
The apisupport project slows down the Go To Type in order of magnitude.
See the snapshot: http://statistics.netbeans.org/analytics/exception.do?id=318561
9053ms - apisupport project vs 181 ms java.source + lucene
Comment 1 Jesse Glick 2010-02-01 11:43:31 UTC
In that snapshot, a bunch of projects are getting loaded. Most of the time is spent in filesystems.EventControl.exitAtomicAction. Over 2/3 of the thread's time is inside RequestProcessor.Task.schedule, which has been called 384 times, which looks excessive to me.

Assuming this is not really a P2 unless (a) it is clearly reproducible, (b) it affects _all_ NBM projects, not just those in the netbeans.org source tree.
Comment 2 Jaroslav Tulach 2010-04-15 15:23:17 UTC
Can I mark this issue fixed when I speed up RequestProcessor by 20%? core-main#4d36a0faa1b4

If you point me to some new snapshot, created after my fix, I can address another issue.
Comment 3 Quality Engineering 2010-04-16 04:25:29 UTC
Integrated into 'main-golden', will be available in build *201004160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4d36a0faa1b4
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #178755: Less contention obtaining the Logger (used to be a global lock), now it is final static variable without any sycnhronization. This shall speed up the case described in #178755 by 20%.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo